#if !defined(AFX_CONFIGDLG_H__C871E5B1_64A8_11D6_BAC0_005056400072__INCLUDED_)
#define AFX_CONFIGDLG_H__C871E5B1_64A8_11D6_BAC0_005056400072__INCLUDED_

#include <winsock2.h>

#include "ObjectiveDlg.h"	// Added by ClassView
#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// COnfigDlg.h : header file
//

/////////////////////////////////////////////////////////////////////////////
// CCOnfigDlg dialog

class CCOnfigDlg : public CDialog
{
// Construction
public:
	CCOnfigDlg(CWnd* pParent = NULL);   // standard constructor

// Dialog Data
	//{{AFX_DATA(CCOnfigDlg)
	enum { IDD = IDD_CONFIG_DIALOG };
	CListCtrl	m_ctlObjective_List;
	CString	m_strLocal_Host_Name;
	CString	m_strRemote_IP_Address;
	CString	m_strRemote_Port_Number;
	BOOL	m_bSyslogCheck;
	int		m_iSyslogClass;
	int		m_iSyslogCritic;
	BOOL	m_bAudit;
	BOOL	m_bFile_Audit;
	//}}AFX_DATA


// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CCOnfigDlg)
	public:
	virtual BOOL PreTranslateMessage(MSG* pMsg);
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:
	void AddorEditanObjective();
	CToolTipCtrl m_control_tooltip;

	// Generated message map functions
	//{{AFX_MSG(CCOnfigDlg)
	virtual BOOL OnInitDialog();
	afx_msg void OnAddAnObjective();
	afx_msg void OnSyslogCheck();
	afx_msg void OnRclickObjectiveList(NMHDR* pNMHDR, LRESULT* pResult);
	afx_msg void OnFileBrowseButton();
	afx_msg void OnEditPopup();
	afx_msg void OnDeletePopup();
	afx_msg void OnOk();
	virtual int IsIPAddr(CString CSaddr);
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
private:
	int m_iAdd_or_Edit_Row;
	int m_iObjective_Row;

};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_CONFIGDLG_H__C871E5B1_64A8_11D6_BAC0_005056400072__INCLUDED_)


